[libvirt] [PATCH 10/16] autogen.sh: fix autoreconf step

Pavel Hrdina posted 16 patches 36 weeks ago

[libvirt] [PATCH 10/16] autogen.sh: fix autoreconf step

Posted by Pavel Hrdina 36 weeks ago
Running bootstrap and autoreconf from autogen.sh produced different
files in build-aux directory.  The reason is that gnulib usually have
newer version of these files and overwrites them after the autoreconf
step.

In order to fix it remove the --install and --force options, in addition
introduce --verbose option in order to reflect what bootstrap is doing.

Signed-off-by: Pavel Hrdina <phrdina@redhat.com>
---
 autogen.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/autogen.sh b/autogen.sh
index a1f1943adb..47446dc785 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -134,7 +134,7 @@ if test -d .git || test -f .git; then
         # dry run, of course...
         if test -z "$dry_run"; then
             echo "Running autoreconf..."
-            autoreconf -if || {
+            autoreconf -v || {
                 die "autoreconf failed"
             }
         fi
-- 
2.24.1

--
libvir-list mailing list
libvir-list@redhat.com
https://www.redhat.com/mailman/listinfo/libvir-list